lepton_plots()
{
  TFile f("out.lepton.root");
  
  TH1D *h[4] = { 0 };
  h[0] = (TH1D*) f.Get("electron0");
  h[1] = (TH1D*) f.Get("electron1");
  h[2] = (TH1D*) f.Get("electron2");
  h[3] = (TH1D*) f.Get("electron3");
  
  TCanvas c("c","c",800,600);
  
  h[0]->Scale(1./h[0]->Integral());
  h[1]->Scale(1./h[1]->Integral());
  h[2]->Scale(1./h[2]->Integral());
  
  h[0]->Rebin(10);
  h[1]->Rebin(10);
  h[2]->Rebin(10);
  
  double max0 = h[0]->GetMaximum();
  double max1 = h[1]->GetMaximum();
  double max2 = h[2]->GetMaximum();
  
  double max = max0;
  if(max1>max) max = max1;
  if(max2>max) max = max2;
  
  h[0]->SetLineColor(kGreen);
  h[1]->SetLineColor(kRed);
  h[2]->SetLineColor(kBlue);
  
  h[0]->SetTitle("");
  h[0]->SetStats(NULL);
  h[0]->Draw();
  h[1]->Draw("SAME");
  h[2]->Draw("SAME");
  
  h[0]->GetYaxis()->SetRangeUser(0,max*1.1);
  
  c.SaveAs("Z0electronQED.eps");
  //c.SaveAs("Z0electronQED.png");
  
  TH1D *h2[4] = { 0 };
  h2[0] = (TH1D*) f.Get("muon0");
  h2[1] = (TH1D*) f.Get("muon1");
  h2[2] = (TH1D*) f.Get("muon2");
  h2[3] = (TH1D*) f.Get("muon3");

  h2[0]->Scale(1./h2[0]->Integral());
  h2[1]->Scale(1./h2[1]->Integral());
  h2[2]->Scale(1./h2[2]->Integral());
  
  h2[0]->Rebin(10);
  h2[1]->Rebin(10);
  h2[2]->Rebin(10);
  
  max0 = h2[0]->GetMaximum();
  max1 = h2[1]->GetMaximum();
  max2 = h2[2]->GetMaximum();
  
  max = max0;
  if(max1>max) max = max1;
  if(max2>max) max = max2;
  
  h2[0]->SetLineColor(kGreen);
  h2[1]->SetLineColor(kRed);
  h2[2]->SetLineColor(kBlue);
  
  h2[0]->SetTitle("");
  h2[0]->SetStats(NULL);
  h2[0]->Draw();
  h2[1]->Draw("SAME");
  h2[2]->Draw("SAME");
  
  h2[0]->GetYaxis()->SetRangeUser(0,max*1.1);
 
  c.SaveAs("Z0muonQED.eps");
  //c.SaveAs("Z0muonQED.png");
}
